import Vue from "vue";
import FEEDBACKCOMP from "./index.vue";
const FBConstructor = Vue.extend(FEEDBACKCOMP);

const FB = options => {
    const { cancelBack } = options;
    // if (!UserId) throw `UserId is requred.but ${UserId}`
    const id = `FB${new Date().getTime()}`;
    const instance = new FBConstructor();
    instance.id = id;
    instance.vm = instance.$mount();
    if (instance.vm.visible) return;
    document.body.appendChild(instance.vm.$el);
    instance.vm.open();
    instance.vm.$on("success", (Id) => {
    });
    instance.vm.$on("closed", () => {
        document.body.removeChild(instance.vm.$el);
        instance.vm.$destroy();
        if (cancelBack) cancelBack()
    });
    return instance.vm;
}
export default FB;